+ DESTDIR patch from Anthony Green (green at redhat dot com) - many thanks :-)
[melted] / src / modules / vorbis / configure
index 77f3155..bfc4043 100755 (executable)
@@ -1,11 +1,18 @@
-#!/bin/bash
+#!/bin/sh
 
 if [ "$help" != "1" ]
 then
 
-cat << EOF >> ../producers.dat
-vorbis         libmltvorbis.so
-EOF
+       pkg-config vorbisfile 2> /dev/null
+       disable_vorbis=$?
+
+       if [ "$disable_vorbis" = "0" ]
+       then
+               echo "vorbis            libmltvorbis$LIBSUF" >> ../producers.dat
+       else
+               echo "- ogg vorbis not found: disabling"
+               touch ../disable-vorbis
+       fi
 
 fi